<?php
/**
 * VBulletin Torrent Tracker (VBTT) v3.0
 * Coded by SqrtBoy (www.phpsoft.org)
 **/ 
 
// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// #################### DEFINE IMPORTANT CONSTANTS #######################
define('NO_REGISTER_GLOBALS', 1);
define('THIS_SCRIPT', 'index');

// ######################### REQUIRE BACK-END ############################
require_once('./global.php');


include 'charts.php';

$history = array();
for ($i=0;$i<32;$i++)
{
$history[$i]['s']=0;
$history[$i]['l']=0;
}

$query = $db->query("SELECT DAYOFMONTH( `date` ) as numday, SUM(seeders) as seeders, SUM(leechers) as leechers FROM ". TABLE_PREFIX ."trackerhistory WHERE DAYOFMONTH( NOW( ))  - DAYOFMONTH( `date` ) < 31  AND MONTH( NOW( ))  - MONTH( `date` ) = 0 AND YEAR( NOW( ))  - YEAR( `date` ) = 0 GROUP BY DAYOFMONTH( `date` )");
while ($result = $db->fetch_array($query)) {
	$history[$result['numday']]['s'] = $result['seeders']	;
	$history[$result['numday']]['l'] = $result['leechers']	;
}


//the chart's data
$chart [ 'chart_data' ] = array ( array ( "",         "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31" ),
                                  array ( "Leechers",     $history[1]['l'], $history[2]['l'], $history[3]['l'], $history[4]['l'], $history[5]['l'], $history[6]['l'], $history[7]['l'], $history[8]['l'], $history[9]['l'], $history[10]['l'],  $history[11]['l'], $history[12]['l'], $history[13]['l'], $history[14]['l'], $history[15]['l'], $history[16]['l'], $history[17]['l'], $history[18]['l'], $history[19]['l'], $history[20]['l'], $history[21]['l'], $history[22]['l'], $history[23]['l'],  $history[24]['l'],  $history[25]['l'], $history[26]['l'],  $history[27]['l'], $history[28]['l'],  $history[29]['l'], $history[30]['l'], $history[31]['l']  ),
                                  array ( "Seeders",   $history[1]['s'], $history[2]['s'], $history[3]['s'], $history[4]['s'], $history[5]['s'], $history[6]['s'], $history[7]['s'], $history[8]['s'], $history[9]['s'], $history[10]['s'],  $history[11]['s'], $history[12]['s'], $history[13]['s'], $history[14]['s'], $history[15]['s'], $history[16]['s'], $history[17]['s'], $history[18]['s'], $history[19]['s'], $history[20]['s'], $history[21]['s'], $history[22]['s'], $history[23]['s'],  $history[24]['s'],  $history[25]['s'], $history[26]['s'],  $history[27]['s'], $history[28]['s'],  $history[29]['s'], $history[30]['s'], $history[31]['s']));
                                  
$chart [ 'axis_category' ] = array (  'skip'         =>  1,
                                       'font'         =>  "Arial", 
                                       'bold'         =>  true, 
                                       'size'         =>  12, 
                                       'color'        =>  "000000", 
                                       'alpha'        =>  75,
                                       'orientation'  =>  "horizontal"
                                       
                                
                                       
                                   );     
								   
								   
								                                 
$chart [ 'legend_bg' ] = array (   'bg_color'          =>  "e1e4f2",
                                   'bg_alpha'          =>  100, 
                                   'border_color'      =>  "d1d1e1",
                                   'border_alpha'      =>  100, 
                                   'border_thickness'  =>  1
                               );        
							   
$chart [ 'axis_ticks' ] = array (   'value_ticks'      =>  true, 
                                    'category_ticks'   =>  true, 
                                    'position'         =>  "centered", 
                                    'major_thickness'  =>  2, 
                                    'major_color'      =>  "000000", 
                                    'minor_thickness'  =>  1, 
                                    'minor_color'      =>  "c0c0c0",
                                    'minor_count'      =>  3
                                ); 							                             
                                
$chart [ 'chart_grid_h' ] = array (   'thickness'  =>  2,
                                      'color'      =>  "FF0000",
                                      'alpha'      =>  15,
                                      'type'       =>  "dashed"
                                   );                                

$chart [ 'series_color' ] = array ( "0000c0", "008000" ); 

SendChartData ( $chart );
?>