<?php
/**
 * VBulletin Torrent Tracker (VBTT) v3.0
 * Coded by SqrtBoy (www.phpsoft.org)
 **/ 
 
// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// ######################### REQUIRE BACK-END ############################
require_once('includes/config.php');

// #################### DEFINE IMPORTANT CONSTANTS #######################
define('THIS_SCRIPT', 'scrape');
define('NO_REGISTER_GLOBALS', 1);
define('TABLE_PREFIX', $config['Database']['tableprefix']);

// ############################ FUNCTIONS ################################

function err($string)
{
	echo 'd14:failure reason'.strlen($string).':'.$string.'e';
	exit();
}

// #######################################################################
// ######################## START MAIN SCRIPT ############################
// #######################################################################

ob_start('ob_gzhandler');
header('Content-type: text/plain');

// we connect to the database

$link = mysql_connect($config['MasterServer']['servername'], $config['MasterServer']['username'], $config['MasterServer']['password']);
if (!$link) {
   err ('VBTT 3.0: Database Error. Can\'t connect to database !');
}

// select the current db
$db_selected = mysql_select_db($config['Database']['dbname'], $link);
if (!$db_selected) {
   err ('VBTT 3.0: Databse Error. Can\'t select database !');
}


// uncomment this area to stop external scrapes

// if (isset($_REQUEST['passkey']))
// {
// 	if (get_magic_quotes_gpc())
// 		$passkey = stripslashes($_REQUEST['passkey']);
// 	else
// 		$passkey = (string)$_REQUEST['passkey'];
// 		
// 	if (strlen($passkey) != 32)
// 		err("VBTT 3.0: Invalid passkey value !");
// 		
// 	$query = mysql_query("SELECT COUNT(userid) as found FROM " . TABLE_PREFIX . "user WHERE MD5(password)=\"$passkey\" LIMIT 1") or err("VBTT 3.0: $passkey - Database error. Cannot complete request.");
// 
// 	$result = mysql_fetch_array($query) ;	
// 	
// 	if ($result['found'] < 1)
// 		err("VBTT 3.0: (".$result['found'].") - Passkey not found in database !");
// }
// else
// {
// 	err("VBTT 3.0: No passkey value !");	
// }    

// ############################ BEGIN OUTPUT ################################

$resp = 'd5:filesd';

// we parse the info_hash correctly

if (strpos($_SERVER["QUERY_STRING"], "info_hash=") !== false)
{
		// single or multi scrape
		$count = 0;
		foreach (explode("&", $_SERVER["QUERY_STRING"]) as $item) 
		{ 
			if (substr($item, 0, 10) == "info_hash=") 
			{ 
		
				$info_hash = substr($item, 10);
				if (get_magic_quotes_gpc())
					$info_hash = stripslashes($info_hash);
				
				if (strlen($info_hash) == 20)
					$info_hash = bin2hex($info_hash);
				else if (strlen($info_hash) != 40)
					err("VBTT 3.0: Invalid info_hash value !");
					
				$info_hash = strtolower($info_hash);
				
				$count++;
				($count > 1) ? $where .= " OR " : "";
				$where .= "info_hash='".$info_hash."'";
			}	
		}
		
	$query = mysql_query("SELECT info_hash, seeders, leechers, completed, SUBSTRING_INDEX(filename, '.torrent',1) as filename FROM " . TABLE_PREFIX . "attachment WHERE  ".$where." LIMIT ".$count ) or err("VBTT 3.0: ".$info_hash." - Database error. Cannot complete request.");
	
		while ($result = mysql_fetch_array($query))
		{

		     $resp .= '20:'.pack('H*',$result[info_hash]).'d';
		     $resp .= '8:completei'.$result[seeders].'e';
		     $resp .= '10:downloadedi'.$result[completed].'e';
		     $resp .= '10:incompletei'.$result[leechers].'e';
		     $resp .= '4:name'.strlen(str_replace(".torrent","",$result[filename])).':'.str_replace(".torrent","",$result[filename]).'e';
		     $resp .= 'e';
	    
		}

}
else
{
	// global scrape
	
	$query = mysql_query("SELECT info_hash, seeders, leechers, completed, SUBSTRING_INDEX(filename, '.torrent',1) as filename FROM " . TABLE_PREFIX . "attachment WHERE info_hash <> '' ") or err("VBTT 3.0: Database error. Cannot complete request.");
	
	while ($result = mysql_fetch_array($query))
	{
		 
	     $resp .= '20:'.pack('H*',$result[info_hash]).'d';
	     $resp .= '8:completei'.$result[seeders].'e';
	     $resp .= '10:downloadedi'.$result[completed].'e';
	     $resp .= '10:incompletei'.$result[leechers].'e';
	     $resp .= '4:name'.strlen($result[filename]).':'.$result[filename].'e';
	     $resp .= 'e';
	}
	
}

$resp .= 'ee';

// scrape is sent to browser
echo $resp ;

mysql_close($link);

exit();


?>